; ---------------------------------------------
;             PureRESIZE test file
; ---------------------------------------------
;
; Window
If OpenWindow(0, 0, 0, 500, 300, "Mini-Browser", #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget | #PB_Window_SizeGadget | #PB_Window_ScreenCentered)
  ButtonGadget(1, 0, 0, 50, 25, "Back")
  ButtonGadget(2, 50, 0, 50, 25, "Next")
  ButtonGadget(3, 100, 0, 50, 25, "Stop")
  StringGadget(4, 150, 3, 325, 20, "C:\Program Files\Nvu\gnozal\index.html")
  ButtonGadget(5, 475, 0, 25 , 25, "Go")
  Frame3DGadget(6, 1, 30, 500, 2, "", 2)
  If WebGadget(10, 5, 35, 490, 260, "") = 0
    MessageRequester("Error", "ATL.dll not found", 0)
    End
  EndIf
  AddKeyboardShortcut(0, #PB_Shortcut_Return, 0)
  ; Set window minimum size
  PureRESIZE_SetWindowMinimumSize(0, 450, 250)
  ; Set gadget resize options  
  PureRESIZE_SetGadgetResize(4, #True, #True, #True, #False)
  PureRESIZE_SetGadgetResize(5, #False, #True, #True, #False)
  PureRESIZE_SetGadgetResize(6, #True, #True, #True, #False)
  PureRESIZE_SetGadgetResize(10, #True, #True, #True, #True)
  ;PureRESIZE_SetWindowMonitoring(0, #PureRESIZE_Monitoring_DontMove)
  ;PureRESIZE_SetWindowMonitoring(0, ~#PureRESIZE_Monitoring_DontMove)
  ;PureRESIZE_SetWindowMonitoring(0, #PureRESIZE_Monitoring_DontResize)
  ;PureRESIZE_SetWindowMonitoring(0, ~#PureRESIZE_Monitoring_DontResize)
  ; Event loop
  Repeat
    Event = WaitWindowEvent()
    Select Event
      Case #PB_Event_Gadget
        Select EventGadget()
          Case 1
            SetGadgetState(10, #PB_Web_Back)
          Case 2
            SetGadgetState(10, #PB_Web_Forward)
          Case 3
            SetGadgetState(10, #PB_Web_Stop)
          Case 5
            SetGadgetText(10, GetGadgetText(4))
        EndSelect
      Case #PB_Event_Menu
        SetGadgetText(10, GetGadgetText(4))
    EndSelect
  Until Event = #PB_Event_CloseWindow
EndIf